Remove user from list

Use this endpoint to remove a user from a custom list.

API at a glance

Description: This API removes a single user from a custom user list using either their email address or customer ID.

Authentication & testing

Testing the API on this page

How to try it here

  • Use your User API Key as the Username (leave Password blank).
  • Select the appropriate API endpoint based on your Blueshift region.
  • API - Select Region
  • Enter the necessary parameters and click Try It to run the request.
Authentication using Base64 encoding

Note for developers

API requests require authentication using HTTP Basic Authentication with an API key. The API key serves as the username, while the password field should be left empty. The format to encode is: your_api_key: (note the trailing colon).

This string must be Base64-encoded and included in the request's Authorization header as follows:

Authorization: Basic encoded_value

You can generate the encoded value using a trusted Base64 encoder.


Postman collection

Try it with Postman: Explore the API using Blueshift's Postman collection.


Things to know before you start

  • List ID required: Obtain the list ID from the Create empty list response or from the Blueshift dashboard.

You can find the list ID in the URL when viewing a custom user list in the Blueshift app. For example, if you open a custom user list in the Blueshift app, its URL looks like https://app.getblueshift.com/dashboard#/app/custom_list/<LIST_ID>/edit.

  • Identifier types: Use email or customer_id to identify the user.
👍

Finding the customer UUID > >

You can find the customer UUID in the URL when viewing a customer profile in the Blueshift app. For example, if you open a customer profile in the Blueshift app, its URL looks like https://app.getblueshift.com/dashboard#/app/customer/<CUSTOMER_UUID>/show/overview.

  • Single user: This endpoint removes one user at a time. Use Bulk remove users for multiple users.
  • Use case: Best for removing individual users from custom lists, updating list membership, and managing targeted audience segments.

Request parameters

Check out the request parameters

Path parameters

ParameterTypeRequiredDescription
list_idinteger✅ YesID of the list to remove the user from.

Body parameters

ParameterTypeRequiredDescription
identifier_keystring✅ YesIdentifier type: email or customer_id.
identifier_valuestring✅ YesValue of the identifier (email address or customer ID).

Example requests & responses

Remove user by email
{
  "identifier_key": "email",
  "identifier_value": "[email protected]"
}
{
  "status": "ok"
}
Remove user by customer ID
{
  "identifier_key": "customer_id",
  "identifier_value": "23a1fae1-2103-4e18-b58c-9db0ea9f7bf7"
}
{
  "status": "ok"
}
Path Params
integer
required

Specify the ID of the list from which you want to remove a user.

Body Params

Specify the details of the user that you want to remove from the list.

string
required

Specify the key that you use to identify a user. This field can either take customer_id or email.

string
required

Specify the value of the identifier key. For example, if you specify customer_id in the identifier_key field, specify the user's alphanumeric customer ID in this field. Such as abcd1234. If you specify email in the identifier_key, specify the user's email address.

Responses
200

OK

400

Bad request - The request was invalid or cannot be otherwise served. An accompanying error message will explain further.

404

Resource not found - Can happen due to resource conflicts. Re-try with exponential backoff. Contact us on [email protected] if the issue persists.

409

Conflict error, please retry - The request could not be completed due to a conflict with the current state of the target resource, re-try with exponential backoff.

429

Rate limit exceeded - Too many requests. Contact us on [email protected] for recommended throughput.

500

Internal Server Error - Please contact blueshift for more information.

502

Service unavailable, please retry - Bad Gateway, re-try with exponential backoff.

503

Service unavailable, please retry - Service Unavailable, re-try with exponential backoff.

504

Service unavailable, please retry - Gateway Timeout, please re-try with exponential backoff.

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json